/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.rich.functionsample.inputcheck.bean;

import java.io.Serializable;

/**
 * 単項目の入力クラス
 *
 */
public class SingleData implements Serializable {
    

    /**
     * シリアルバージョンID
     */
    private static final long serialVersionUID = -3521612260396655397L;

    /**
     * required入力チェック 
     */
    private String requiredTest = null;
    
    /**
     * mask入力チェック
     */
    private String maskTest = null;
    
    /**
     * Byte入力チェック
     */
    private String byteTest = null;
    
    /**
     * Short入力チェック
     */
    private String shortTest = null;    
    
    /**
     * Integer入力チェック
     */
    private String integerTest = null;
    
    /**
     * long入力チェック
     */
    private String longTest = null;    
    
    /**
     * float入力チェック
     */
    private String floatTest = null;
    
    /**
     * double入力チェック
     */
    private String doubleTest = null;
    
    /**
     * date入力チェック
     */
    private String dateTest = null;
    
    /**
     * intRange入力チェック
     */
    private String intRangeTest = null;
    
    /**
     * doubleRange入力チェック
     */
    private String doubleRangeTest = null;
    
    /**
     * floatRange入力チェック
     */
    private String floatRangeTest = null;
    
    /**
     * maxlength入力チェック
     */
    private String maxlengthTest = null;
    
    /**
     * minlength入力チェック
     */
    private String minlengthTest = null;
    
    /**
     * alphaNumericString入力チェック
     */
    private String alphaNumericStringTest = null;
    
    /**
     * capAlphaNumericString入力チェック
     */
    private String capAlphaNumericStringTest = null;
    
    /**
     * number入力チェック
     */
    private String numberTest = null;
    
    /**
     * hankakuKanaString入力チェック
     */
    private String hankakuKanaStringTest = null;
    
    /**
     * hankakuString入力チェック
     */
    private String hankakuStringTest = null;
    
    /**
     * zenkakuString入力チェック
     */
    private String zenkakuStringTest = null;
    
    /**
     * zenkakuKanaString入力チェック
     */
    private String zenkakuKanaStringTest = null;
    
    /**
     * prohibited入力チェック
     */
    private String prohibitedTest = null;
    
    /**
     * numericString入力チェック
     */
    private String numericStringTest = null;
    
    /**
     * stringLength入力チェック
     */
    private String stringLengthTest = null;
    
    /**
     * url入力チェック
     */
    private String urlTest = null;
    
    /**
     * dateRange入力チェック
     */
    private String dateRangeTest = null;
    
    /**
     * byteRange入力チェック
     */
    private String byteRangeTest = null;
    
    /**
     * arrayRange入力チェック
     */
    private String[] arrayRangeTest = null;

    /**
     * alphaNumericStringTestを取得する。
     * @return alphaNumericStringTest
     */
    public String getAlphaNumericStringTest() {
        return alphaNumericStringTest;
    }

    /**
     * alphaNumericStringTestを設定する。
     * @param alphaNumericStringTest alphaNumericStringTest
     */
    public void setAlphaNumericStringTest(String alphaNumericStringTest) {
        this.alphaNumericStringTest = alphaNumericStringTest;
    }

    /**
     * arrayRangeTestを取得する。
     * @return arrayRangeTest
     */
    public String[] getArrayRangeTest() {
        return arrayRangeTest;
    }

    /**
     * arrayRangeTestを設定する。
     * @param arrayRangeTest arrayRangeTest
     */
    public void setArrayRangeTest(String[] arrayRangeTest) {
        this.arrayRangeTest = arrayRangeTest;
    }

    /**
     * byteRangeTestを取得する。
     * @return byteRangeTest
     */
    public String getByteRangeTest() {
        return byteRangeTest;
    }

    /**
     * byteRangeTestを設定する。
     * @param byteRangeTest byteRangeTest
     */
    public void setByteRangeTest(String byteRangeTest) {
        this.byteRangeTest = byteRangeTest;
    }

    /**
     * byteTestを取得する。
     * @return byteTest
     */
    public String getByteTest() {
        return byteTest;
    }

    /**
     * byteTestを設定する。
     * @param byteTest byteTest
     */
    public void setByteTest(String byteTest) {
        this.byteTest = byteTest;
    }

    /**
     * capAlphaNumericStringTestを取得する。
     * @return capAlphaNumericStringTest
     */
    public String getCapAlphaNumericStringTest() {
        return capAlphaNumericStringTest;
    }

    /**
     * capAlphaNumericStringTestを設定する。
     * @param capAlphaNumericStringTest capAlphaNumericStringTest
     */
    public void setCapAlphaNumericStringTest(String capAlphaNumericStringTest) {
        this.capAlphaNumericStringTest = capAlphaNumericStringTest;
    }

    /**
     * dateRangeTestを取得する。
     * @return dateRangeTest
     */
    public String getDateRangeTest() {
        return dateRangeTest;
    }

    /**
     * dateRangeTestを設定する。
     * @param dateRangeTest dateRangeTest
     */
    public void setDateRangeTest(String dateRangeTest) {
        this.dateRangeTest = dateRangeTest;
    }

    /**
     * dateTestを取得する。
     * @return dateTest
     */
    public String getDateTest() {
        return dateTest;
    }

    /**
     * dateTestを設定する。
     * @param dateTest dateTest
     */
    public void setDateTest(String dateTest) {
        this.dateTest = dateTest;
    }

    /**
     * doubleRangeTestを取得する。
     * @return doubleRangeTest
     */
    public String getDoubleRangeTest() {
        return doubleRangeTest;
    }

    /**
     * doubleRangeTestを設定する。
     * @param doubleRangeTest doubleRangeTest
     */
    public void setDoubleRangeTest(String doubleRangeTest) {
        this.doubleRangeTest = doubleRangeTest;
    }

    /**
     * doubleTestを取得する。
     * @return doubleTest
     */
    public String getDoubleTest() {
        return doubleTest;
    }

    /**
     * doubleTestを設定する。
     * @param doubleTest doubleTest
     */
    public void setDoubleTest(String doubleTest) {
        this.doubleTest = doubleTest;
    }

    /**
     * floatRangeTestを取得する。
     * @return floatRangeTest
     */
    public String getFloatRangeTest() {
        return floatRangeTest;
    }

    /**
     * floatRangeTestを設定する。
     * @param floatRangeTest floatRangeTest
     */
    public void setFloatRangeTest(String floatRangeTest) {
        this.floatRangeTest = floatRangeTest;
    }

    /**
     * floatTestを取得する。
     * @return floatTest
     */
    public String getFloatTest() {
        return floatTest;
    }

    /**
     * floatTestを設定する。
     * @param floatTest floatTest
     */
    public void setFloatTest(String floatTest) {
        this.floatTest = floatTest;
    }

    /**
     * hankakuKanaStringTestを取得する。
     * @return hankakuKanaStringTest
     */
    public String getHankakuKanaStringTest() {
        return hankakuKanaStringTest;
    }

    /**
     * hankakuKanaStringTestを設定する。
     * @param hankakuKanaStringTest hankakuKanaStringTest
     */
    public void setHankakuKanaStringTest(String hankakuKanaStringTest) {
        this.hankakuKanaStringTest = hankakuKanaStringTest;
    }

    /**
     * hankakuStringTestを取得する。
     * @return hankakuStringTest
     */
    public String getHankakuStringTest() {
        return hankakuStringTest;
    }

    /**
     * hankakuStringTestを設定する。
     * @param hankakuStringTest hankakuStringTest
     */
    public void setHankakuStringTest(String hankakuStringTest) {
        this.hankakuStringTest = hankakuStringTest;
    }

    /**
     * integerTestを取得する。
     * @return integerTest
     */
    public String getIntegerTest() {
        return integerTest;
    }

    /**
     * integerTestを設定する。
     * @param integerTest integerTest
     */
    public void setIntegerTest(String integerTest) {
        this.integerTest = integerTest;
    }

    /**
     * intRangeTestを取得する。
     * @return intRangeTest
     */
    public String getIntRangeTest() {
        return intRangeTest;
    }

    /**
     * intRangeTestを設定する。
     * @param intRangeTest intRangeTest
     */
    public void setIntRangeTest(String intRangeTest) {
        this.intRangeTest = intRangeTest;
    }

    /**
     * longTestを取得する。
     * @return longTest
     */
    public String getLongTest() {
        return longTest;
    }

    /**
     * longTestを設定する。
     * @param longTest longTest
     */
    public void setLongTest(String longTest) {
        this.longTest = longTest;
    }

    /**
     * maskTestを取得する。
     * @return maskTest
     */
    public String getMaskTest() {
        return maskTest;
    }

    /**
     * maskTestを設定する。
     * @param maskTest maskTest
     */
    public void setMaskTest(String maskTest) {
        this.maskTest = maskTest;
    }

    /**
     * maxlengthTestを取得する。
     * @return maxlengthTest
     */
    public String getMaxlengthTest() {
        return maxlengthTest;
    }

    /**
     * maxlengthTestを設定する。
     * @param maxlengthTest maxlengthTest
     */
    public void setMaxlengthTest(String maxlengthTest) {
        this.maxlengthTest = maxlengthTest;
    }

    /**
     * minlengthTestを取得する。
     * @return minlengthTest
     */
    public String getMinlengthTest() {
        return minlengthTest;
    }

    /**
     * minlengthTestを設定する。
     * @param minlengthTest minlengthTest
     */
    public void setMinlengthTest(String minlengthTest) {
        this.minlengthTest = minlengthTest;
    }

    /**
     * numberTestを取得する。
     * @return numberTest
     */
    public String getNumberTest() {
        return numberTest;
    }

    /**
     * numberTestを設定する。
     * @param numberTest numberTest
     */
    public void setNumberTest(String numberTest) {
        this.numberTest = numberTest;
    }

    /**
     * numericStringTestを取得する。
     * @return numericStringTest
     */
    public String getNumericStringTest() {
        return numericStringTest;
    }

    /**
     * numericStringTestを設定する。
     * @param numericStringTest numericStringTest
     */
    public void setNumericStringTest(String numericStringTest) {
        this.numericStringTest = numericStringTest;
    }

    /**
     * prohibitedTestを取得する。
     * @return prohibitedTest
     */
    public String getProhibitedTest() {
        return prohibitedTest;
    }

    /**
     * prohibitedTestを設定する。
     * @param prohibitedTest prohibitedTest
     */
    public void setProhibitedTest(String prohibitedTest) {
        this.prohibitedTest = prohibitedTest;
    }

    /**
     * requiredTestを取得する。
     * @return requiredTest
     */
    public String getRequiredTest() {
        return requiredTest;
    }

    /**
     * requiredTestを設定する。
     * @param requiredTest requiredTest
     */
    public void setRequiredTest(String requiredTest) {
        this.requiredTest = requiredTest;
    }

    /**
     * shortTestを取得する。
     * @return shortTest
     */
    public String getShortTest() {
        return shortTest;
    }

    /**
     * shortTestを設定する。
     * @param shortTest shortTest
     */
    public void setShortTest(String shortTest) {
        this.shortTest = shortTest;
    }

    /**
     * stringLengthTestを取得する。
     * @return stringLengthTest
     */
    public String getStringLengthTest() {
        return stringLengthTest;
    }

    /**
     * stringLengthTestを設定する。
     * @param stringLengthTest stringLengthTest
     */
    public void setStringLengthTest(String stringLengthTest) {
        this.stringLengthTest = stringLengthTest;
    }

    /**
     * urlTestを取得する。
     * @return urlTest
     */
    public String getUrlTest() {
        return urlTest;
    }

    /**
     * urlTestを設定する。
     * @param urlTest urlTest
     */
    public void setUrlTest(String urlTest) {
        this.urlTest = urlTest;
    }

    /**
     * zenkakuKanaStringTestを取得する。
     * @return zenkakuKanaStringTest
     */
    public String getZenkakuKanaStringTest() {
        return zenkakuKanaStringTest;
    }

    /**
     * zenkakuKanaStringTestを設定する。
     * @param zenkakuKanaStringTest zenkakuKanaStringTest
     */
    public void setZenkakuKanaStringTest(String zenkakuKanaStringTest) {
        this.zenkakuKanaStringTest = zenkakuKanaStringTest;
    }

    /**
     * zenkakuStringTestを取得する。
     * @return zenkakuStringTest
     */
    public String getZenkakuStringTest() {
        return zenkakuStringTest;
    }

    /**
     * zenkakuStringTestを設定する。
     * @param zenkakuStringTest zenkakuStringTest
     */
    public void setZenkakuStringTest(String zenkakuStringTest) {
        this.zenkakuStringTest = zenkakuStringTest;
    }

}
